edu.isi.pegasus.planner.catalog.site.classes

## Class FileServerType

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.FileServerType

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FileServer

    public abstract class FileServerType
    extends AbstractSiteData

An abstract class that describes a file server that can be used to stage data to and from a site.

Version:
  $Revision$
Author:
  Karan Vahi

### Nested Class Summary

Nested Classes
`static class` `FileServerType.OPERATION` The operations supported by the file server

### Field Summary

Fields
`protected java.lang.String` `mMountPoint` The mount point for the server.
`protected FileServerType.OPERATION` `mOperation` The operations supported by the file server
`protected Profiles` `mProfiles` The profiles associated with the FileSystem.
`protected java.lang.String` `mProtocol` The protocol used by the file server.
`protected java.lang.String` `mURLPrefix` The URL prefix for the server.

### Constructor Summary

Constructors
Constructor and Description
`FileServerType()` The default constructor.
`FileServerType(java.lang.String protocol, java.lang.String urlPrefix, java.lang.String mountPoint)` Overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProfile(Profile p)` Adds a profile.
`java.lang.Object` `clone()` Returns the clone of the object.
`java.lang.String` `getMountPoint()` Returns the mount point
`java.lang.String` `getProtocol()` Returns protocol implemented by the file server.
`FileServerType.OPERATION` `getSupportedOperation()` Returns the operation supported by the file server
`java.lang.String` `getURLPrefix()` Returns the url prefix .
`void` `setMountPoint(java.lang.String point)` Returns the mount point.
`void` `setProfiles(Profiles profiles)` Sets the profiles associated with the file server.
`void` `setProtocol(java.lang.String protocol)` Set the protocol implemented by the file server.
`void` `setSupportedOperation(FileServerType.OPERATION operation)` The operation supported by the file server
`void` `setURLPrefix(java.lang.String prefix)` Sets the url prefix .

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`accept, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mProtocol

    protected java.lang.String mProtocol

The protocol used by the file server.

#### mURLPrefix

    protected java.lang.String mURLPrefix

The URL prefix for the server.

#### mMountPoint

    protected java.lang.String mMountPoint

The mount point for the server.

#### mProfiles

    protected Profiles mProfiles

The profiles associated with the FileSystem.

#### mOperation

    protected FileServerType.OPERATION mOperation

The operations supported by the file server

### Constructor Detail

#### FileServerType

    public FileServerType()

The default constructor.

#### FileServerType

    public FileServerType(java.lang.String protocol,
                          java.lang.String urlPrefix,
                          java.lang.String mountPoint)

Overloaded constructor.

Parameters:
  `protocol` - protocol employed by the File Server.
  `urlPrefix` - the url prefix
  `mountPoint` - the mount point for the server.

### Method Detail

#### setProtocol

    public void setProtocol(java.lang.String protocol)

Set the protocol implemented by the file server.

Parameters:
  `protocol` - the protocol

#### getProtocol

    public java.lang.String getProtocol()

Returns protocol implemented by the file server.

Returns:
  protocol

#### setURLPrefix

    public void setURLPrefix(java.lang.String prefix)

Sets the url prefix .

Parameters:
  `prefix` - the url prefix

#### getURLPrefix

    public java.lang.String getURLPrefix()

Returns the url prefix .

Returns:
  the url prefix

#### setMountPoint

    public void setMountPoint(java.lang.String point)

Returns the mount point.

Parameters:
  `point` - the mount point.

#### getMountPoint

    public java.lang.String getMountPoint()

Returns the mount point

Returns:
  the mount point.

#### setSupportedOperation

    public void setSupportedOperation(FileServerType.OPERATION operation)

The operation supported by the file server

Parameters:
  `operation` - the supported operation

#### getSupportedOperation

    public FileServerType.OPERATION getSupportedOperation()

Returns the operation supported by the file server

Returns:
  the supported operation

#### addProfile

    public void addProfile(Profile p)

Adds a profile.

Parameters:
  `p` - the profile to be added

#### setProfiles

    public void setProfiles(Profiles profiles)

Sets the profiles associated with the file server.

Parameters:
  `profiles` - the profiles.

#### clone

    public java.lang.Object clone()

Returns the clone of the object.

Overrides:
  `clone` in class `AbstractSiteData`
Returns:
  the clone